import Taro from "@tarojs/taro"
import { useEffect, useState } from "react"
import CustomNav from '@/components/CustomNav'
import withLayout from '@/layouts'
import { getTaRoom, goToRoomForm, personSubmit } from '@/services/taRoom​'
import RoomForm from './components/RoomForm'
import './style.less'





export default withLayout((props) => {
  const { router, person } = props
  const { roomId, roomOrderId, status } = router.params
  const [taRoomContent, setTaRoomContent] = useState([])
  const [orderContent, setOrderContent] = useState([])

  const CarNumber = orderContent?.personNum
  const [formData, setFormData] = useState([])

  const handleChange = (e, inx) => {
    formData[inx] = e;
    setFormData([...formData])
  }

  const handleSubmit = (e) => {
    console.log('原数组', formData)

    var arrr = [...formData]
    let Phone = /^[1][3,4,5,7,8,9][0-9]{9}$/;

    for (let i = 0, len = arrr.length; i < len; i++) {
      console.log('For后数组', arrr[i])
      let numPhone = 0
      let userName = 0

      formData.map((item, index) => {
        userName = item.customerName
        numPhone = item.customerPhone
      })
      if (userName === undefined) {
        console.log('没有名字');
      } else {
        if (!Phone.test(numPhone)) {
          console.log('手机号格式不正确')
          return false;
        } else {
          console.log('成功----------')
          return true;
        }
      }





      //   personSubmit(roomId, { ...formData }).then((res) => {
      //     console.log('----------------------', res);
      //   })

    }
  }



  useEffect(() => {
    getTaRoom(roomId).then((res) => {
      setTaRoomContent(res)
    })
    goToRoomForm(roomOrderId).then((res) => {
      setOrderContent(res)
    })
  }, [roomId, roomOrderId])

  const FormCard = new Array(CarNumber).fill(0)
  return (
    <view>
      <CustomNav title={taRoomContent?.roomName} />
      {
        FormCard.map((_, index) => {
          return (
            <RoomForm key={(index)} onChange={(e) => handleChange(e, index)} />
          )
        })
      }
      <button className='button-OK' onClick={handleSubmit} >确定</button>

    </view>
  )
})